import request from '@/utils/request'

// 查询科目组合列表
export function listAllSelectedGroup(query) {
  return request({ url: '/voluntary/selectedGroup/all', method: 'get', params: query })
}
export function listSelectedGroup(query) {
  return request({
    url: '/voluntary/selectedGroup/list',
    method: 'get',
    params: query
  })
}

// 查询科目组合详细
export function getSelectedGroup(groupId) {
  return request({
    url: '/voluntary/selectedGroup/' + groupId,
    method: 'get'
  })
}

// 新增科目组合
export function addSelectedGroup(data) {
  return request({
    url: '/voluntary/selectedGroup',
    method: 'post',
    data: data
  })
}

// 修改科目组合
export function updateSelectedGroup(data) {
  return request({
    url: '/voluntary/selectedGroup',
    method: 'put',
    data: data
  })
}

// 删除科目组合
export function delSelectedGroup(groupId) {
  return request({
    url: '/voluntary/selectedGroup/' + groupId,
    method: 'delete'
  })
}
